program select_example

  implicit none
  integer :: i 
 
  do i = 1,11 
    select case (i)
      case (3,5,7)
        print*, i, ": i is prime"
      case (10:)
        print*, i, ": i >= 10"
      case default
        print*, i, ": i is not prime and is < 10"
    end select
  enddo

end program select_example
